﻿-- Debuff Monitor

local width, height = 300, 22

function SN:Debuffs()
	SN.F.debuffs = SN.timers:NewGroup(300, "DebuffGroup", dbuffgrp)
	if(IsAddOnLoaded("ElvUI")) then
		SN.F.debuffs:SetSpacing(0, 7)
		SN.F.debuffs:SetStartPoint("topleft")
		SN.F.debuffs:SetPoint("CENTER", UIParent, "CENTER", 0, -450)
	else
		SN.F.debuffs:SetSpacing(0, 3)
		SN.F.debuffs:SetStartPoint("topleft")
		SN.F.debuffs:SetPoint("CENTER", UIParent, "CENTER", 350, -450)
	end
	SN.F.debuffs:SetSorting("label")
	SN.F.debuffs:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
	SN.F.debuffs:SetScript("OnEvent", function(self, event, ...)
		SN:UpdateDebuff(self, event, unit, ...)
	end)
	SN.F.debuffs:Lock(SN.V.defaults.profile.Frames.lock)
end

function SN:UpdateDebuff(group, event, unit, ...)
	if event == "COMBAT_LOG_EVENT_UNFILTERED" then

		local timestamp, type,_, sourceGUID, sourceName,_,_, destGUID, destName = select(1, ...)
		local spellId, spellName, spellSchool = select(12, ...)
		
		for i, cooldown in pairs(SN.debuffs) do
			-- Check to see if the aura is applied and refresh the timer
			if type == cooldown['refresh'] then
				if spellId == cooldown['spellID'] then
					if sourceGUID == UnitGUID("player") then
						tempbar = group:Find("SN:arg5", spellName)
						local _, _, _, _, _, dur = UnitDebuff("target", spellName)
						if tempbar ~= nil then
							tempbar:SetDuration(dur)
							tempbar:Start()
						else
							SN:CreateBar(group, cooldown, dur, sourceName, destGUID, spellName)
						end
					end
				end
			--Start a fresh timer since the aura is not on the target				
			elseif type == cooldown['succ'] then
				if spellId == cooldown['spellID'] then
					if sourceGUID == UnitGUID("player") then
						local _, _, _, _, _, dur = UnitDebuff("target", spellName)
						SN:CreateBar(group, cooldown, dur, sourceName, destGUID, spellName)
					end
				end
			end
		end
		if  type == "SPELL_DAMAGE" then
			if spellId == 77767 or spellId == 53209 then -- Serpent Sting refresh with Cobra Shot and Chimera Shot
				if sourceGUID == UnitGUID("player") then
					tempbar = group:Find("SN:arg5", "Serpent Sting")
					if tempbar ~= nil then
						local _, _, _, _, _, dur = UnitDebuff("target", tempbar:GetData("SN:arg5"))
						if (tempbar:GetDuration() + 6) > 15 then
							tempbar:SetDuration(dur)
						else
							tempbar:SetDuration(tempbar:GetDuration() + 6)
						end
						tempbar:Start()
					end
				end
			end	
		end
	end
end	
