﻿-- Cooldown List

SN.cooldowns = {
	--Shaman CDs
	{ -- Spirit Link Totem
		spellID = 98008,
		succ = "SPELL_CAST_SUCCESS",
		name = "SLT",
		CD = 180,
		class = "SHAMAN", 
		cast_time = 6,
		type = "raid",
	},
	{ -- Mana Tide Totem
		spellID = 16190,
		succ = "SPELL_CAST_SUCCESS",
		name = "MTT",
		CD = 180,
		class = "SHAMAN",
		cast_time = 12,
		type = "raid",
	},
	{ -- Healing Tide Totem
		spellID = 108280,
		succ = "SPELL_CAST_SUCCESS",
		name = "HTT",
		CD = 180,
		class = "SHAMAN",
		talents = 5,
		type = "raid",
	},
	{ -- Stormlash Totem
		spellID = 120668,
		succ = "SPELL_CAST_SUCCESS",
		name = "ST",
		CD = 300,
		class = "SHAMAN",
		type = "raid",
	},
	{ -- Earth Elemental Totem
		spellID = 2062,
		succ = "SPELL_CAST_SUCCESS",
		name = "EET",
		CD = 300,
		class = "SHAMAN",
		type = "personal",
	},
	{ -- Fire Elemental Totem
		spellID = 2894,
		succ = "SPELL_CAST_SUCCESS",
		name = "FET",
		glyphid = 55455,
		CD = 300,
		CD2 = 180,
		class = "SHAMAN",
		type = "personal",
	},
	{ -- Bloodlust
		spellID = 2825,
		succ = "SPELL_CAST_SUCCESS",
		name = "BLOOD",
		CD = 300,
		class = "SHAMAN",
		type = "raid",
	},
	{ -- Heroism
		spellID = 32182,
		succ = "SPELL_CAST_SUCCESS",
		name = "HERO",
		CD = 300,
		class = "SHAMAN",
		type = "raid",
	},
	{ -- Ascendance
		spellID = 114049,
		succ = "SPELL_CAST_SUCCESS",
		name = "ASCEN",
		CD = 180,
		class = "SHAMAN",
		type = "raid",
	},
	
	--Death Knight CDs
	 { -- Raise Ally
		spellID = 61999,
		succ = "SPELL_CAST_SUCCESS", 
		name = "RA",
		CD = 600,
		class = "DEATHKNIGHT",
		type = "raid",
	},
	{ -- Anti-Magic Zone
		spellID = 51052,
		succ = "SPELL_CAST_SUCCESS",
		name = "AMZ",
		CD = 120,
		class = "DEATHKNIGHT",
		talents = 2,
		type = "raid",
	},
	{ -- Vampiric Blood
		spellID = 55233,
		succ = "SPELL_CAST_SUCCESS",
		name = "VB",
		CD = 180,
		class = "DEATHKNIGHT",
		type = "raid",
	},
	{ -- Dancing Rune Weapon
		spellID = 49028,
		succ = "SPELL_CAST_SUCCESS",
		name = "DRW",
		CD = 90,
		class = "DEATHKNIGHT",
		type = "raid",
	},
	{ -- Army of the Dead
		spellID = 42650,
		succ = "SPELL_CAST_SUCCESS",
		name = "AOTD",
		CD = 600,
		class = "DEATHKNIGHT",
		type = "raid",
	},
	{ -- Bone Shield
		spellID = 49222,
		succ = "SPELL_CAST_SUCCESS",
		name = "BONE",
		CD = 60,
		class = "DEATHKNIGHT",
		type = "raid",
	},
	{ -- Anti-Magic Zone
		spellID = 51052,
		succ = "SPELL_CAST_SUCCESS",
		name = "AMZ",
		CD = 120,
		class = "DEATHKNIGHT",
		type = "raid",
	},

	{ -- Lichborne
		spellID = 49039,
		succ = "SPELL_CAST_SUCCESS",
		name = "LICH",
		CD = 120,
		class = "DEATHKNIGHT",
		type = "raid",
	},
	{ -- Icebound Fortitude
		spellID = 48792,
		succ = "SPELL_CAST_SUCCESS",
		name = "IB",
		CD = 180,
		class = "DEATHKNIGHT",
		type = "raid",
	},

	--Druid CDs
	 { -- Tranquility
		spellID = 740,
		succ = "SPELL_CAST_SUCCESS",
		name = "T",
		CD = 180,
		class = "DRUID",
		type = "raid",
	},
	{ -- Ironbark
		spellID = 102342,
		succ = "SPELL_CAST_SUCCESS",
		name = "FE",
		CD = 120,
		class = "DRUID",
		type = "raid",
	},
	{ -- Rebirth
		spellID = 20484,
		succ = "SPELL_CAST_START",
		name = "R",
		cd = 600,
		class = "DRUID",
		type = "raid",
	},
	{ -- Innervate
		spellID = 29166,
		succ = "SPELL_CAST_SUCCESS",
		name = "I",
		CD = 180,
		class = "DRUID",
		type = "raid",
	},

	--Monk CDs
	 {	-- Zen Meditation
		spellID = 115176,
		succ = "SPELL_CAST_SUCCESS",
		name = "ZEN",
		CD = 180,
		class = "MONK",
		type = "raid",
	},
	{	-- Life Cocoon
		spellID = 116849,
		succ = "SPELL_CAST_SUCCESS",
		name = "LIFE",
		CD = 120,
		class = "MONK",
		spec = "Mistweaver",
		type = "raid",
	},
	{	-- Revival
		spellID = 115310,
		succ = "SPELL_CAST_SUCCESS",
		name = "REV",
		CD = 180,
		class = "MONK",
		spec = "Mistweaver",
		type = "raid",
	},

	 --Paladin CDs
	{ -- Devotion Aura
		spellID = 31821,
		name = "DA",
		succ = "SPELL_CAST_SUCCESS",
		CD = 180,
		class = "PALADIN",
		type = "raid",
	},
	{ -- Hand of Sacrifice
		spellID = 6940,
		name = "HOS",
		succ = "SPELL_CAST_SUCCESS",
		CD = 120,
		class = "PALADIN",
		type = "raid",
	},
	
	--Priest CDs
	{ -- Power Word: Barrier 
		spellID = 62618,
		succ = "SPELL_CAST_SUCCESS",
		name = "PWB",
		CD = 180,
		class = "PRIEST", 
		cast_time = 10,
		spec = "Discipline",
		type = "raid",
	},
	{ -- Pain Suppression  
		spellID = 33206,
		succ = "SPELL_CAST_SUCCESS",
		name = "PS",
		CD = 180,
		class = "PRIEST", 
		cast_time = 8,
		spec = "Discipline",
		type = "raid",
	},
	{ -- Divine Hymn
	
		spellID = 64843,
		succ = "SPELL_CAST_SUCCESS",
		name = "DH",
		CD = 180,
		class = "PRIEST", 
		cast_time = 8,
		spec = "Holy",
		type = "raid",
	},	
	{ -- Guardian Spirit 
		spellID = 47788,
		succ = "SPELL_CAST_SUCCESS",
		name = "GS",
		CD = 180,
		class = "PRIEST", 
		cast_time = 10,
		spec = "Holy",
		type = "raid",
	},	
	{ -- Void Shift
		spellID = 108968,
		succ = "SPELL_CAST_SUCCESS",
		name = "VS",
		CD = 360,
		class = "PRIEST",
		type = "raid",
	},
	{ -- Hymn Of Hope
		spellID = 64901,
		succ = "SPELL_CAST_SUCCESS",
		name = "HH",
		CD = 360,
		class = "PRIEST", 
		cast_time = 8,
		type = "raid",
	},
	
	--Warrior CD's
	{ -- Rallying Cry
		spellID = 97462,
		succ = "SPELL_CAST_SUCCESS",
		name = "RC",
		CD = 180,
		class = "WARRIOR",
		type = "raid",
	},
	{ -- Demoralizing Banner
		spellID = 114203,
		succ = "SPELL_CAST_SUCCESS",
		name = "DB",
		CD = 180,
		class = "WARRIOR",
		type = "raid",
	},

	--Hunter CD's
	{ -- Rapid Fire
		spellID = 3045,
		succ = "SPELL_CAST_SUCCESS",
		name = "RF",
		CD = 180,
		class = "HUNTER",
		type = "personal",
		reset = true,
	},
	{ -- Readiness
		spellID = 23989,
		succ = "SPELL_CAST_SUCCESS",
		name = "RD",
		CD = 300,
		resetcd = true,
		class = "HUNTER",
		type = "personal",
	},
	{ -- Deterrence
		spellID = 19263,
		succ = "SPELL_CAST_SUCCESS",
		name = "DET",
		CD = 120,
		class = "HUNTER",
		type = "personal",
		reset = true,
	},
	{ -- Stampede
		spellID = 121818,
		succ = "SPELL_CAST_SUCCESS",
		name = "STAM",
		CD = 360,
		class = "HUNTER",
		type = "personal",
	},
	{ -- Beastial Wrath
		spellID = 19574,
		succ = "SPELL_CAST_SUCCESS",
		name = "BWRTH",
		CD = 60,
		class = "HUNTER",
		type = "personal",
		reset = true,
	},
	{ -- Muder of Crows
		spellID = 131894,
		succ = "SPELL_CAST_SUCCESS",
		name = "MOC",
		CD = 120,
		class = "HUNTER",
		type = "personal",
		reset = true,
	},
	{ -- Lynx Rush
		spellID = 120697,
		succ = "SPELL_CAST_SUCCESS",
		name = "LYNX",
		CD = 90,
		class = "HUNTER",
		type = "personal",
		reset = true,
	}
}
